package com.redhat.thermostat.agent.internal;

import static org.mockito.Mockito.mock;

import java.rmi.Remote;
import java.rmi.RemoteException;

import org.junit.Before;
import org.junit.Test;

public class RMIRegistryImplTest {
    
    private RMIRegistryImpl registry;
    
    @Before
    public void setup() throws Exception {
        registry = new RMIRegistryImpl();
    }
    
    @Test(expected=RemoteException.class)
    public void testGetRegistry() throws Exception {
        registry.getRegistry();
    }
    
    @Test(expected=RemoteException.class)
    public void testExportObject() throws Exception {
        Remote obj = mock(Remote.class);
        registry.export(obj);
    }
    
    @Test(expected=RemoteException.class)
    public void testUnexportObject() throws Exception {
        Remote obj = mock(Remote.class);
        registry.unexport(obj);
    }
}
